<!DOCTYPE html>
<html>
<head>
  <title>Artillery report</title>
  <script src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.0/d3.min.js' charset='utf-8'></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.js"></script>

  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=PT+Serif:400,700,400italic' rel='stylesheet' type='text/css'>
  <link href='https://netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css' rel='stylesheet' type='text/css'>
  <link href='https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/3.10.1/lodash.min.js"></script>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.0/ace.js" charset="utf-8"></script>

  <style>
  body, p, li {
    font-family: sans-serif;
    font-size: 10pt;
  }

  h1 {
    font-size: 18pt;
    font-weight: bold;
  }

  #errorsContainer > p {
    color: #009900;
  }

  #footer {
    padding: 1em;
    font-size: 0.8em;
    color: #999;
    text-align: center;
    margin-top: 1em;
    background-color: #eee;
  }
  #editor {
    font-size: 8pt;
    height: 20em;
  }
  </style>

  <script>
  window.Report = {
  "aggregate": {
    "timestamp": "2021-02-21T19:22:20.674Z",
    "scenariosCreated": 33796,
    "scenariosCompleted": 11683,
    "requestsCompleted": 19350,
    "latency": {
      "min": 239.4,
      "max": 79646.8,
      "median": 767.4,
      "p95": 1248.8,
      "p99": 14479.8
    },
    "rps": {
      "count": 41462,
      "mean": 51.15
    },
    "scenarioDuration": {
      "min": 418.3,
      "max": 85936.6,
      "median": 1007.3,
      "p95": 1760,
      "p99": 22928.5
    },
    "scenarioCounts": {
      "getSpec": 11387,
      "calculatePrice fixed_price": 11090,
      "calculatePrice minute": 11319
    },
    "errors": {
      "ENOTFOUND": 21917,
      "ENFILE": 192,
      "ESOCKETTIMEDOUT": 3,
      "ECONNRESET": 2
    },
    "codes": {
      "200": 11682,
      "302": 7666,
      "500": 2
    },
    "matches": 0,
    "customStats": {},
    "counters": {},
    "scenariosAvoided": 0,
    "phases": [
      {
        "duration": 60,
        "arrivalRate": 3,
        "name": "Warm up"
      },
      {
        "duration": 120,
        "arrivalRate": 10,
        "rampTo": 50,
        "name": "Ramp up load"
      },
      {
        "duration": 600,
        "arrivalRate": 50,
        "name": "Sustained load"
      }
    ]
  },
  "intermediate": [
    {
      "timestamp": "2021-02-21T19:08:59.707Z",
      "scenariosCreated": 29,
      "scenariosCompleted": 28,
      "requestsCompleted": 28,
      "latency": {
        "min": 443,
        "max": 1154.1,
        "median": 618,
        "p95": 1083.3,
        "p99": 1154.1
      },
      "rps": {
        "count": 29,
        "mean": 3.01
      },
      "scenarioDuration": {
        "min": 457.1,
        "max": 1209.9,
        "median": 639.6,
        "p95": 1110.3,
        "p99": 1209.9
      },
      "scenarioCounts": {
        "getSpec": 11,
        "calculatePrice fixed_price": 7,
        "calculatePrice minute": 11
      },
      "errors": {},
      "codes": {
        "200": 28
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 1,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:09:09.700Z",
      "scenariosCreated": 30,
      "scenariosCompleted": 29,
      "requestsCompleted": 29,
      "latency": {
        "min": 450,
        "max": 1112.5,
        "median": 597.6,
        "p95": 947.6,
        "p99": 1112.5
      },
      "rps": {
        "count": 30,
        "mean": 3
      },
      "scenarioDuration": {
        "min": 471.1,
        "max": 1128.1,
        "median": 614.9,
        "p95": 965.8,
        "p99": 1128.1
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 15,
        "calculatePrice minute": 13,
        "getSpec": 2
      },
      "errors": {},
      "codes": {
        "200": 29
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2,
      "pendingRequests": 2,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:09:19.700Z",
      "scenariosCreated": 30,
      "scenariosCompleted": 28,
      "requestsCompleted": 29,
      "latency": {
        "min": 451.8,
        "max": 4557.9,
        "median": 574.9,
        "p95": 1146.4,
        "p99": 4557.9
      },
      "rps": {
        "count": 30,
        "mean": 3
      },
      "scenarioDuration": {
        "min": 471.4,
        "max": 985.1,
        "median": 587,
        "p95": 917.4,
        "p99": 985.1
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 12,
        "getSpec": 12,
        "calculatePrice minute": 6
      },
      "errors": {},
      "codes": {
        "200": 29
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4,
      "pendingRequests": 3,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:09:29.701Z",
      "scenariosCreated": 30,
      "scenariosCompleted": 32,
      "requestsCompleted": 32,
      "latency": {
        "min": 309.4,
        "max": 4808.6,
        "median": 797.5,
        "p95": 1644.8,
        "p99": 4808.6
      },
      "rps": {
        "count": 31,
        "mean": 3.1
      },
      "scenarioDuration": {
        "min": 485.3,
        "max": 5370.2,
        "median": 845.3,
        "p95": 4518.2,
        "p99": 5370.2
      },
      "scenarioCounts": {
        "calculatePrice minute": 8,
        "calculatePrice fixed_price": 13,
        "getSpec": 9
      },
      "errors": {},
      "codes": {
        "200": 31,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2,
      "pendingRequests": 2,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:09:39.701Z",
      "scenariosCreated": 30,
      "scenariosCompleted": 27,
      "requestsCompleted": 33,
      "latency": {
        "min": 258.7,
        "max": 30315.5,
        "median": 747.6,
        "p95": 1139.4,
        "p99": 30315.5
      },
      "rps": {
        "count": 35,
        "mean": 3.5
      },
      "scenarioDuration": {
        "min": 463.6,
        "max": 1489.4,
        "median": 830.8,
        "p95": 1417,
        "p99": 1489.4
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 14,
        "getSpec": 6,
        "calculatePrice minute": 10
      },
      "errors": {},
      "codes": {
        "200": 28,
        "302": 5
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5,
      "pendingRequests": 4,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:09:49.701Z",
      "scenariosCreated": 30,
      "scenariosCompleted": 30,
      "requestsCompleted": 32,
      "latency": {
        "min": 265.3,
        "max": 1302.1,
        "median": 674.5,
        "p95": 1182.1,
        "p99": 1302.1
      },
      "rps": {
        "count": 33,
        "mean": 3.3
      },
      "scenarioDuration": {
        "min": 444.5,
        "max": 34796.2,
        "median": 816.2,
        "p95": 1641.4,
        "p99": 34796.2
      },
      "scenarioCounts": {
        "getSpec": 12,
        "calculatePrice minute": 10,
        "calculatePrice fixed_price": 8
      },
      "errors": {},
      "codes": {
        "200": 29,
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5,
      "pendingRequests": 5,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:09:59.706Z",
      "scenariosCreated": 109,
      "scenariosCompleted": 98,
      "requestsCompleted": 110,
      "latency": {
        "min": 263.6,
        "max": 1224.3,
        "median": 622,
        "p95": 1011.7,
        "p99": 1180.9
      },
      "rps": {
        "count": 121,
        "mean": 12.1
      },
      "scenarioDuration": {
        "min": 444.7,
        "max": 1512,
        "median": 663.8,
        "p95": 1291.1,
        "p99": 1480.6
      },
      "scenarioCounts": {
        "calculatePrice minute": 40,
        "getSpec": 36,
        "calculatePrice fixed_price": 33
      },
      "errors": {},
      "codes": {
        "200": 98,
        "302": 12
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 16,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:10:09.705Z",
      "scenariosCreated": 145,
      "scenariosCompleted": 142,
      "requestsCompleted": 155,
      "latency": {
        "min": 262,
        "max": 30898.7,
        "median": 610,
        "p95": 1109.9,
        "p99": 14135.1
      },
      "rps": {
        "count": 156,
        "mean": 15.65
      },
      "scenarioDuration": {
        "min": 437.1,
        "max": 33295.7,
        "median": 643.8,
        "p95": 1256.5,
        "p99": 4288.4
      },
      "scenarioCounts": {
        "calculatePrice minute": 47,
        "calculatePrice fixed_price": 46,
        "getSpec": 52
      },
      "errors": {},
      "codes": {
        "200": 144,
        "302": 11
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 19,
      "pendingRequests": 17,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:10:19.706Z",
      "scenariosCreated": 182,
      "scenariosCompleted": 187,
      "requestsCompleted": 201,
      "latency": {
        "min": 263,
        "max": 19646.5,
        "median": 608.9,
        "p95": 1120,
        "p99": 4267.8
      },
      "rps": {
        "count": 198,
        "mean": 19.8
      },
      "scenarioDuration": {
        "min": 437.1,
        "max": 22141.2,
        "median": 644,
        "p95": 1438.3,
        "p99": 14796.5
      },
      "scenarioCounts": {
        "calculatePrice minute": 51,
        "getSpec": 64,
        "calculatePrice fixed_price": 67
      },
      "errors": {},
      "codes": {
        "200": 185,
        "302": 16
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 14,
      "pendingRequests": 14,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:10:29.712Z",
      "scenariosCreated": 205,
      "scenariosCompleted": 196,
      "requestsCompleted": 226,
      "latency": {
        "min": 260.1,
        "max": 16751.7,
        "median": 579.8,
        "p95": 1113.4,
        "p99": 9143.6
      },
      "rps": {
        "count": 233,
        "mean": 23.73
      },
      "scenarioDuration": {
        "min": 433.9,
        "max": 19253.2,
        "median": 631.2,
        "p95": 1376.4,
        "p99": 5215.3
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 62,
        "getSpec": 61,
        "calculatePrice minute": 82
      },
      "errors": {},
      "codes": {
        "200": 198,
        "302": 28
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 23,
      "pendingRequests": 21,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:10:39.710Z",
      "scenariosCreated": 258,
      "scenariosCompleted": 248,
      "requestsCompleted": 291,
      "latency": {
        "min": 250.7,
        "max": 32040.2,
        "median": 528.9,
        "p95": 1149.4,
        "p99": 1634
      },
      "rps": {
        "count": 303,
        "mean": 30.33
      },
      "scenarioDuration": {
        "min": 418.3,
        "max": 33527.4,
        "median": 618.5,
        "p95": 1537.1,
        "p99": 5343
      },
      "scenarioCounts": {
        "getSpec": 78,
        "calculatePrice minute": 94,
        "calculatePrice fixed_price": 86
      },
      "errors": {},
      "codes": {
        "200": 246,
        "302": 45
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 33,
      "pendingRequests": 33,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:10:49.715Z",
      "scenariosCreated": 271,
      "scenariosCompleted": 277,
      "requestsCompleted": 308,
      "latency": {
        "min": 253.6,
        "max": 24034.3,
        "median": 554.7,
        "p95": 1158.6,
        "p99": 19534.9
      },
      "rps": {
        "count": 301,
        "mean": 30.13
      },
      "scenarioDuration": {
        "min": 439.3,
        "max": 25892.2,
        "median": 594,
        "p95": 1465.8,
        "p99": 22252
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 88,
        "getSpec": 94,
        "calculatePrice minute": 89
      },
      "errors": {},
      "codes": {
        "200": 278,
        "302": 30
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 27,
      "pendingRequests": 26,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:10:59.714Z",
      "scenariosCreated": 317,
      "scenariosCompleted": 310,
      "requestsCompleted": 342,
      "latency": {
        "min": 251.6,
        "max": 27547.4,
        "median": 567.6,
        "p95": 1291.3,
        "p99": 23101.5
      },
      "rps": {
        "count": 346,
        "mean": 34.63
      },
      "scenarioDuration": {
        "min": 422.4,
        "max": 28175.4,
        "median": 600.3,
        "p95": 1531.7,
        "p99": 17891.9
      },
      "scenarioCounts": {
        "calculatePrice minute": 104,
        "getSpec": 111,
        "calculatePrice fixed_price": 102
      },
      "errors": {},
      "codes": {
        "200": 313,
        "302": 29
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 34,
      "pendingRequests": 30,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:11:09.712Z",
      "scenariosCreated": 361,
      "scenariosCompleted": 331,
      "requestsCompleted": 455,
      "latency": {
        "min": 255.7,
        "max": 23628.8,
        "median": 585.6,
        "p95": 1270.3,
        "p99": 4719.3
      },
      "rps": {
        "count": 486,
        "mean": 48.65
      },
      "scenarioDuration": {
        "min": 433.3,
        "max": 30394.8,
        "median": 763.1,
        "p95": 2059.5,
        "p99": 15611
      },
      "scenarioCounts": {
        "getSpec": 134,
        "calculatePrice minute": 121,
        "calculatePrice fixed_price": 106
      },
      "errors": {},
      "codes": {
        "200": 330,
        "302": 125
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 64,
      "pendingRequests": 61,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:11:19.716Z",
      "scenariosCreated": 375,
      "scenariosCompleted": 372,
      "requestsCompleted": 747,
      "latency": {
        "min": 251.1,
        "max": 44239.3,
        "median": 789.7,
        "p95": 1096.9,
        "p99": 7642.7
      },
      "rps": {
        "count": 748,
        "mean": 74.87
      },
      "scenarioDuration": {
        "min": 1101.2,
        "max": 45041.6,
        "median": 1201.4,
        "p95": 2205.8,
        "p99": 20709.8
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 117,
        "calculatePrice minute": 124,
        "getSpec": 134
      },
      "errors": {},
      "codes": {
        "200": 374,
        "302": 373
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 67,
      "pendingRequests": 62,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:11:29.718Z",
      "scenariosCreated": 414,
      "scenariosCompleted": 395,
      "requestsCompleted": 798,
      "latency": {
        "min": 242.4,
        "max": 33843,
        "median": 790.9,
        "p95": 1146,
        "p99": 5399.2
      },
      "rps": {
        "count": 813,
        "mean": 81.3
      },
      "scenarioDuration": {
        "min": 1100.6,
        "max": 56301.9,
        "median": 1221.8,
        "p95": 1676,
        "p99": 15297.9
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 156,
        "calculatePrice minute": 147,
        "getSpec": 111
      },
      "errors": {},
      "codes": {
        "200": 399,
        "302": 399
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 86,
      "pendingRequests": 77,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:11:39.715Z",
      "scenariosCreated": 462,
      "scenariosCompleted": 452,
      "requestsCompleted": 911,
      "latency": {
        "min": 250.2,
        "max": 27442.3,
        "median": 799.8,
        "p95": 1204.7,
        "p99": 13424
      },
      "rps": {
        "count": 920,
        "mean": 92.09
      },
      "scenarioDuration": {
        "min": 1119.2,
        "max": 28547.5,
        "median": 1219.7,
        "p95": 6042.6,
        "p99": 25435.1
      },
      "scenarioCounts": {
        "calculatePrice minute": 149,
        "getSpec": 153,
        "calculatePrice fixed_price": 160
      },
      "errors": {},
      "codes": {
        "200": 453,
        "302": 458
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 96,
      "pendingRequests": 86,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:11:49.716Z",
      "scenariosCreated": 491,
      "scenariosCompleted": 492,
      "requestsCompleted": 982,
      "latency": {
        "min": 254.1,
        "max": 33983.2,
        "median": 793.5,
        "p95": 1111.3,
        "p99": 12770.6
      },
      "rps": {
        "count": 980,
        "mean": 98
      },
      "scenarioDuration": {
        "min": 462.6,
        "max": 34470,
        "median": 1225,
        "p95": 2217.3,
        "p99": 23827
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 140,
        "getSpec": 185,
        "calculatePrice minute": 166
      },
      "errors": {},
      "codes": {
        "200": 493,
        "302": 489
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 95,
      "pendingRequests": 84,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:11:59.712Z",
      "scenariosCreated": 499,
      "scenariosCompleted": 329,
      "requestsCompleted": 572,
      "latency": {
        "min": 252.4,
        "max": 44638.2,
        "median": 816.5,
        "p95": 1314.6,
        "p99": 25395.3
      },
      "rps": {
        "count": 748,
        "mean": 74.87
      },
      "scenarioDuration": {
        "min": 433.7,
        "max": 40270.1,
        "median": 1225,
        "p95": 6758.4,
        "p99": 27925.3
      },
      "scenarioCounts": {
        "getSpec": 149,
        "calculatePrice minute": 173,
        "calculatePrice fixed_price": 177
      },
      "errors": {
        "ENOTFOUND": 235
      },
      "codes": {
        "200": 323,
        "302": 249
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 30,
      "pendingRequests": 260,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:12:09.707Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 4,
      "requestsCompleted": 30,
      "latency": {
        "min": 794.9,
        "max": 28620.2,
        "median": 4323.4,
        "p95": 19670.4,
        "p99": 28620.2
      },
      "rps": {
        "count": 524,
        "mean": 52.45
      },
      "scenarioDuration": {
        "min": 6132,
        "max": 31822.5,
        "median": 10997.6,
        "p95": 31822.5,
        "p99": 31822.5
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 164,
        "calculatePrice minute": 174,
        "getSpec": 162
      },
      "errors": {
        "ENOTFOUND": 509
      },
      "codes": {
        "200": 6,
        "302": 24
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 17,
      "pendingRequests": 754,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:12:19.706Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 7,
      "requestsCompleted": 9,
      "latency": {
        "min": 836.2,
        "max": 34374.8,
        "median": 23046.2,
        "p95": 34374.8,
        "p99": 34374.8
      },
      "rps": {
        "count": 508,
        "mean": 50.85
      },
      "scenarioDuration": {
        "min": 16136.6,
        "max": 32207.3,
        "median": 30006.6,
        "p95": 32207.3,
        "p99": 32207.3
      },
      "scenarioCounts": {
        "calculatePrice minute": 163,
        "calculatePrice fixed_price": 157,
        "getSpec": 180
      },
      "errors": {
        "ENOTFOUND": 507
      },
      "codes": {
        "200": 1,
        "302": 8
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3,
      "pendingRequests": 1253,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:12:29.707Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 2,
      "latency": {
        "min": 25494.5,
        "max": 28928.4,
        "median": 27211.4,
        "p95": 28928.4,
        "p99": 28928.4
      },
      "rps": {
        "count": 502,
        "mean": 50.25
      },
      "scenarioDuration": {
        "min": 29065.2,
        "max": 29065.2,
        "median": 29065.2,
        "p95": 29065.2,
        "p99": 29065.2
      },
      "scenarioCounts": {
        "getSpec": 165,
        "calculatePrice fixed_price": 175,
        "calculatePrice minute": 160
      },
      "errors": {
        "ENOTFOUND": 502
      },
      "codes": {
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 1753,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:12:39.707Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "getSpec": 144,
        "calculatePrice fixed_price": 173,
        "calculatePrice minute": 183
      },
      "errors": {
        "ENOTFOUND": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 2253,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:12:49.707Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 29,
      "latency": {
        "min": 808.3,
        "max": 1059.5,
        "median": 862.4,
        "p95": 989,
        "p99": 1059.5
      },
      "rps": {
        "count": 529,
        "mean": 52.95
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "calculatePrice minute": 185,
        "getSpec": 164,
        "calculatePrice fixed_price": 151
      },
      "errors": {
        "ENOTFOUND": 500
      },
      "codes": {
        "302": 29
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 2753,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:12:59.707Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 24,
      "latency": {
        "min": 259.3,
        "max": 1708,
        "median": 832.7,
        "p95": 1157.5,
        "p99": 1708
      },
      "rps": {
        "count": 523,
        "mean": 52.35
      },
      "scenarioDuration": {
        "min": 1146.9,
        "max": 1146.9,
        "median": 1146.9,
        "p95": 1146.9,
        "p99": 1146.9
      },
      "scenarioCounts": {
        "getSpec": 174,
        "calculatePrice minute": 180,
        "calculatePrice fixed_price": 146
      },
      "errors": {
        "ENOTFOUND": 496
      },
      "codes": {
        "200": 1,
        "302": 23
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3,
      "pendingRequests": 3252,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:13:09.707Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 21,
      "requestsCompleted": 27,
      "latency": {
        "min": 265.2,
        "max": 2666,
        "median": 803.1,
        "p95": 2008.7,
        "p99": 2666
      },
      "rps": {
        "count": 506,
        "mean": 50.65
      },
      "scenarioDuration": {
        "min": 435.5,
        "max": 2699.6,
        "median": 695.6,
        "p95": 2439.5,
        "p99": 2699.6
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 183,
        "calculatePrice minute": 156,
        "getSpec": 161
      },
      "errors": {
        "ENOTFOUND": 476
      },
      "codes": {
        "200": 21,
        "302": 6
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6,
      "pendingRequests": 3731,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:13:19.708Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 30,
      "requestsCompleted": 34,
      "latency": {
        "min": 429.2,
        "max": 1757.7,
        "median": 632.2,
        "p95": 1275.2,
        "p99": 1757.7
      },
      "rps": {
        "count": 504,
        "mean": 50.45
      },
      "scenarioDuration": {
        "min": 445.8,
        "max": 1321.6,
        "median": 622.4,
        "p95": 1175.4,
        "p99": 1321.6
      },
      "scenarioCounts": {
        "calculatePrice minute": 182,
        "calculatePrice fixed_price": 168,
        "getSpec": 150
      },
      "errors": {
        "ENOTFOUND": 474,
        "ENFILE": 1
      },
      "codes": {
        "200": 30,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 4201,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:13:29.708Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 29,
      "requestsCompleted": 29,
      "latency": {
        "min": 430.4,
        "max": 1185.7,
        "median": 594.1,
        "p95": 774.2,
        "p99": 1185.7
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 444.8,
        "max": 1206.6,
        "median": 606.9,
        "p95": 796.2,
        "p99": 1206.6
      },
      "scenarioCounts": {
        "getSpec": 166,
        "calculatePrice fixed_price": 175,
        "calculatePrice minute": 159
      },
      "errors": {
        "ENOTFOUND": 467
      },
      "codes": {
        "200": 29
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5,
      "pendingRequests": 4672,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:13:39.708Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 27,
      "requestsCompleted": 27,
      "latency": {
        "min": 425.1,
        "max": 1158.5,
        "median": 583.5,
        "p95": 997.6,
        "p99": 1158.5
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 436.5,
        "max": 1182.7,
        "median": 598.6,
        "p95": 1018.4,
        "p99": 1182.7
      },
      "scenarioCounts": {
        "getSpec": 186,
        "calculatePrice fixed_price": 158,
        "calculatePrice minute": 156
      },
      "errors": {
        "ENOTFOUND": 471
      },
      "codes": {
        "200": 27
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 5145,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:13:49.708Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 33,
      "requestsCompleted": 37,
      "latency": {
        "min": 422.5,
        "max": 1040.5,
        "median": 546,
        "p95": 1010,
        "p99": 1040.5
      },
      "rps": {
        "count": 504,
        "mean": 50.45
      },
      "scenarioDuration": {
        "min": 439.2,
        "max": 1060.3,
        "median": 495.6,
        "p95": 968.8,
        "p99": 1060.3
      },
      "scenarioCounts": {
        "calculatePrice minute": 165,
        "getSpec": 172,
        "calculatePrice fixed_price": 163
      },
      "errors": {
        "ENOTFOUND": 468
      },
      "codes": {
        "200": 33,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6,
      "pendingRequests": 5612,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:13:59.709Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 98,
      "requestsCompleted": 101,
      "latency": {
        "min": 412,
        "max": 1099.6,
        "median": 460.5,
        "p95": 912.7,
        "p99": 1060.2
      },
      "rps": {
        "count": 503,
        "mean": 50.35
      },
      "scenarioDuration": {
        "min": 429.5,
        "max": 1041.7,
        "median": 474.8,
        "p95": 855,
        "p99": 993.9
      },
      "scenarioCounts": {
        "calculatePrice minute": 156,
        "getSpec": 179,
        "calculatePrice fixed_price": 165
      },
      "errors": {
        "ENOTFOUND": 392,
        "ENFILE": 1
      },
      "codes": {
        "200": 98,
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 15,
      "pendingRequests": 6014,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:14:09.710Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 123,
      "requestsCompleted": 149,
      "latency": {
        "min": 260.3,
        "max": 37436.4,
        "median": 643.7,
        "p95": 1371.1,
        "p99": 25658.9
      },
      "rps": {
        "count": 526,
        "mean": 52.65
      },
      "scenarioDuration": {
        "min": 437.3,
        "max": 39797.4,
        "median": 654,
        "p95": 1545.5,
        "p99": 30704.6
      },
      "scenarioCounts": {
        "calculatePrice minute": 171,
        "getSpec": 165,
        "calculatePrice fixed_price": 164
      },
      "errors": {
        "ENOTFOUND": 366,
        "ENFILE": 4
      },
      "codes": {
        "200": 123,
        "302": 26
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 22,
      "pendingRequests": 6391,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:14:19.711Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 96,
      "requestsCompleted": 204,
      "latency": {
        "min": 261.8,
        "max": 24288.7,
        "median": 1030.7,
        "p95": 1349,
        "p99": 11890.9
      },
      "rps": {
        "count": 608,
        "mean": 60.86
      },
      "scenarioDuration": {
        "min": 440.4,
        "max": 26436.5,
        "median": 1097.2,
        "p95": 1750.2,
        "p99": 15291.5
      },
      "scenarioCounts": {
        "calculatePrice minute": 165,
        "getSpec": 183,
        "calculatePrice fixed_price": 152
      },
      "errors": {
        "ENOTFOUND": 390,
        "ENFILE": 2
      },
      "codes": {
        "200": 96,
        "302": 108
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 34,
      "pendingRequests": 6795,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:14:29.709Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 134,
      "requestsCompleted": 215,
      "latency": {
        "min": 255.6,
        "max": 26404.3,
        "median": 824.1,
        "p95": 1290.2,
        "p99": 14741.5
      },
      "rps": {
        "count": 580,
        "mean": 58.06
      },
      "scenarioDuration": {
        "min": 436.6,
        "max": 27839,
        "median": 804.7,
        "p95": 1494.3,
        "p99": 18268.4
      },
      "scenarioCounts": {
        "calculatePrice minute": 144,
        "getSpec": 190,
        "calculatePrice fixed_price": 166
      },
      "errors": {
        "ENOTFOUND": 355,
        "ENFILE": 5
      },
      "codes": {
        "200": 135,
        "302": 80
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 40,
      "pendingRequests": 7160,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:14:39.710Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 185,
      "requestsCompleted": 327,
      "latency": {
        "min": 253.2,
        "max": 27901.9,
        "median": 924.7,
        "p95": 1427.1,
        "p99": 14591.6
      },
      "rps": {
        "count": 641,
        "mean": 64.16
      },
      "scenarioDuration": {
        "min": 447.6,
        "max": 17166.1,
        "median": 1087.5,
        "p95": 1793.3,
        "p99": 7994
      },
      "scenarioCounts": {
        "getSpec": 146,
        "calculatePrice minute": 163,
        "calculatePrice fixed_price": 191
      },
      "errors": {
        "ENOTFOUND": 297,
        "ENFILE": 6
      },
      "codes": {
        "200": 186,
        "302": 141
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 52,
      "pendingRequests": 7474,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:14:49.710Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 127,
      "requestsCompleted": 308,
      "latency": {
        "min": 251.6,
        "max": 15520.9,
        "median": 984.3,
        "p95": 1311.1,
        "p99": 4567.3
      },
      "rps": {
        "count": 683,
        "mean": 68.37
      },
      "scenarioDuration": {
        "min": 440.3,
        "max": 19191.6,
        "median": 1198.6,
        "p95": 1727.5,
        "p99": 10097.2
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 143,
        "calculatePrice minute": 188,
        "getSpec": 169
      },
      "errors": {
        "ENOTFOUND": 370,
        "ENFILE": 6
      },
      "codes": {
        "200": 125,
        "302": 183
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 49,
      "pendingRequests": 7849,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:14:59.711Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 274,
      "requestsCompleted": 345,
      "latency": {
        "min": 242.8,
        "max": 23106.6,
        "median": 653.3,
        "p95": 1274.5,
        "p99": 9433.4
      },
      "rps": {
        "count": 569,
        "mean": 56.96
      },
      "scenarioDuration": {
        "min": 428.2,
        "max": 24139.9,
        "median": 663.7,
        "p95": 1385.3,
        "p99": 12705.9
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 162,
        "getSpec": 170,
        "calculatePrice minute": 168
      },
      "errors": {
        "ENOTFOUND": 224,
        "ENFILE": 7
      },
      "codes": {
        "200": 276,
        "302": 69
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 44,
      "pendingRequests": 8073,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:15:09.712Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 394,
      "requestsCompleted": 420,
      "latency": {
        "min": 255.5,
        "max": 35098.3,
        "median": 583.2,
        "p95": 1103.4,
        "p99": 11788.2
      },
      "rps": {
        "count": 524,
        "mean": 52.45
      },
      "scenarioDuration": {
        "min": 430.8,
        "max": 35437.7,
        "median": 608.3,
        "p95": 1327.6,
        "p99": 16593.9
      },
      "scenarioCounts": {
        "calculatePrice minute": 172,
        "getSpec": 176,
        "calculatePrice fixed_price": 152
      },
      "errors": {
        "ENOTFOUND": 96,
        "ENFILE": 1
      },
      "codes": {
        "200": 396,
        "302": 24
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 53,
      "pendingRequests": 8177,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:15:19.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 499,
      "requestsCompleted": 520,
      "latency": {
        "min": 257.9,
        "max": 25562,
        "median": 603.3,
        "p95": 1087.2,
        "p99": 3529.1
      },
      "rps": {
        "count": 524,
        "mean": 52.4
      },
      "scenarioDuration": {
        "min": 423.3,
        "max": 30412.1,
        "median": 623.5,
        "p95": 1412.5,
        "p99": 5513.7
      },
      "scenarioCounts": {
        "getSpec": 160,
        "calculatePrice fixed_price": 172,
        "calculatePrice minute": 168
      },
      "errors": {},
      "codes": {
        "200": 496,
        "302": 24
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 54,
      "pendingRequests": 8181,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:15:29.712Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 493,
      "requestsCompleted": 543,
      "latency": {
        "min": 254.9,
        "max": 23712.8,
        "median": 570.7,
        "p95": 1143.4,
        "p99": 1645.2
      },
      "rps": {
        "count": 551,
        "mean": 55.1
      },
      "scenarioDuration": {
        "min": 432,
        "max": 25273,
        "median": 604.1,
        "p95": 1375.2,
        "p99": 1910.1
      },
      "scenarioCounts": {
        "getSpec": 164,
        "calculatePrice minute": 170,
        "calculatePrice fixed_price": 166
      },
      "errors": {
        "ESOCKETTIMEDOUT": 1
      },
      "codes": {
        "200": 492,
        "302": 51
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 60,
      "pendingRequests": 8189,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:15:39.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 500,
      "requestsCompleted": 511,
      "latency": {
        "min": 263.8,
        "max": 33167.5,
        "median": 620.1,
        "p95": 1199.7,
        "p99": 14178.9
      },
      "rps": {
        "count": 508,
        "mean": 50.85
      },
      "scenarioDuration": {
        "min": 435.1,
        "max": 35643.8,
        "median": 636.5,
        "p95": 1254.5,
        "p99": 14808.4
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 182,
        "calculatePrice minute": 170,
        "getSpec": 148
      },
      "errors": {},
      "codes": {
        "200": 503,
        "302": 8
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 60,
      "pendingRequests": 8186,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:15:49.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 490,
      "requestsCompleted": 551,
      "latency": {
        "min": 256.8,
        "max": 79646.8,
        "median": 588,
        "p95": 1240.8,
        "p99": 28685.2
      },
      "rps": {
        "count": 559,
        "mean": 55.96
      },
      "scenarioDuration": {
        "min": 427,
        "max": 77241.1,
        "median": 635.2,
        "p95": 1521.9,
        "p99": 20806.5
      },
      "scenarioCounts": {
        "calculatePrice minute": 163,
        "calculatePrice fixed_price": 170,
        "getSpec": 167
      },
      "errors": {
        "ENOTFOUND": 2,
        "ECONNRESET": 2
      },
      "codes": {
        "200": 492,
        "302": 59
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 67,
      "pendingRequests": 8194,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:15:59.714Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 479,
      "requestsCompleted": 620,
      "latency": {
        "min": 243.8,
        "max": 79506.4,
        "median": 548.9,
        "p95": 1242.8,
        "p99": 22440.4
      },
      "rps": {
        "count": 642,
        "mean": 64.2
      },
      "scenarioDuration": {
        "min": 428.7,
        "max": 85936.6,
        "median": 757,
        "p95": 1705.5,
        "p99": 49895.3
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 165,
        "getSpec": 178,
        "calculatePrice minute": 157
      },
      "errors": {
        "ENOTFOUND": 3
      },
      "codes": {
        "200": 478,
        "302": 142
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 85,
      "pendingRequests": 8216,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:16:09.714Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 510,
      "requestsCompleted": 637,
      "latency": {
        "min": 252.6,
        "max": 32243.5,
        "median": 760.6,
        "p95": 1281.1,
        "p99": 7497.7
      },
      "rps": {
        "count": 627,
        "mean": 62.7
      },
      "scenarioDuration": {
        "min": 428.4,
        "max": 32379.7,
        "median": 921.9,
        "p95": 1824.1,
        "p99": 16483.3
      },
      "scenarioCounts": {
        "calculatePrice minute": 144,
        "calculatePrice fixed_price": 171,
        "getSpec": 185
      },
      "errors": {
        "ENOTFOUND": 1,
        "ESOCKETTIMEDOUT": 2
      },
      "codes": {
        "200": 510,
        "302": 127
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 72,
      "pendingRequests": 8206,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:16:19.714Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 498,
      "requestsCompleted": 597,
      "latency": {
        "min": 247.4,
        "max": 27121.6,
        "median": 682.7,
        "p95": 1272.5,
        "p99": 20094.1
      },
      "rps": {
        "count": 600,
        "mean": 60.06
      },
      "scenarioDuration": {
        "min": 418.3,
        "max": 28550.9,
        "median": 763.6,
        "p95": 1784.9,
        "p99": 22242
      },
      "scenarioCounts": {
        "calculatePrice minute": 154,
        "calculatePrice fixed_price": 171,
        "getSpec": 175
      },
      "errors": {
        "ENOTFOUND": 1
      },
      "codes": {
        "200": 497,
        "302": 100
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 73,
      "pendingRequests": 8209,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:16:29.712Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 92,
      "requestsCompleted": 142,
      "latency": {
        "min": 256.6,
        "max": 28868.9,
        "median": 848.8,
        "p95": 4863.3,
        "p99": 28801.7
      },
      "rps": {
        "count": 552,
        "mean": 55.26
      },
      "scenarioDuration": {
        "min": 438.5,
        "max": 31586.8,
        "median": 895.7,
        "p95": 6205.9,
        "p99": 31316.6
      },
      "scenarioCounts": {
        "calculatePrice minute": 165,
        "calculatePrice fixed_price": 170,
        "getSpec": 165
      },
      "errors": {
        "ENOTFOUND": 467
      },
      "codes": {
        "200": 90,
        "302": 52
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 14,
      "pendingRequests": 8619,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:16:39.712Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 6,
      "requestsCompleted": 9,
      "latency": {
        "min": 14914.9,
        "max": 23863.6,
        "median": 21491.7,
        "p95": 23863.6,
        "p99": 23863.6
      },
      "rps": {
        "count": 502,
        "mean": 50.25
      },
      "scenarioDuration": {
        "min": 19271.9,
        "max": 25123.2,
        "median": 22547,
        "p95": 25123.2,
        "p99": 25123.2
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 164,
        "calculatePrice minute": 163,
        "getSpec": 173
      },
      "errors": {
        "ENOTFOUND": 502
      },
      "codes": {
        "200": 7,
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6,
      "pendingRequests": 9112,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:16:49.712Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 27,
      "requestsCompleted": 29,
      "latency": {
        "min": 413.1,
        "max": 33044.3,
        "median": 842.2,
        "p95": 26285.5,
        "p99": 33044.3
      },
      "rps": {
        "count": 502,
        "mean": 50.25
      },
      "scenarioDuration": {
        "min": 428.4,
        "max": 29474,
        "median": 794.9,
        "p95": 21951.2,
        "p99": 29474
      },
      "scenarioCounts": {
        "calculatePrice minute": 166,
        "getSpec": 167,
        "calculatePrice fixed_price": 167
      },
      "errors": {
        "ENOTFOUND": 475
      },
      "codes": {
        "200": 26,
        "302": 2,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4,
      "pendingRequests": 9585,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:16:59.712Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 3,
      "requestsCompleted": 25,
      "latency": {
        "min": 353.4,
        "max": 36981.1,
        "median": 953.4,
        "p95": 35910.1,
        "p99": 36981.1
      },
      "rps": {
        "count": 523,
        "mean": 52.35
      },
      "scenarioDuration": {
        "min": 1503.2,
        "max": 44236.6,
        "median": 38927.6,
        "p95": 44236.6,
        "p99": 44236.6
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 161,
        "calculatePrice minute": 183,
        "getSpec": 156
      },
      "errors": {
        "ENOTFOUND": 496
      },
      "codes": {
        "200": 2,
        "302": 23
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5,
      "pendingRequests": 10083,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:17:09.712Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 28,
      "latency": {
        "min": 288.6,
        "max": 16076.1,
        "median": 946.5,
        "p95": 2695.4,
        "p99": 16076.1
      },
      "rps": {
        "count": 527,
        "mean": 52.75
      },
      "scenarioDuration": {
        "min": 1415.2,
        "max": 1415.2,
        "median": 1415.2,
        "p95": 1415.2,
        "p99": 1415.2
      },
      "scenarioCounts": {
        "calculatePrice minute": 162,
        "calculatePrice fixed_price": 179,
        "getSpec": 159
      },
      "errors": {
        "ENOTFOUND": 497
      },
      "codes": {
        "200": 1,
        "302": 27
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 10582,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:17:19.716Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 5,
      "requestsCompleted": 33,
      "latency": {
        "min": 266,
        "max": 1266.8,
        "median": 970.9,
        "p95": 1204.8,
        "p99": 1266.8
      },
      "rps": {
        "count": 528,
        "mean": 52.8
      },
      "scenarioDuration": {
        "min": 565.6,
        "max": 1208.7,
        "median": 1001.3,
        "p95": 1208.7,
        "p99": 1208.7
      },
      "scenarioCounts": {
        "getSpec": 176,
        "calculatePrice minute": 151,
        "calculatePrice fixed_price": 173
      },
      "errors": {
        "ENOTFOUND": 495
      },
      "codes": {
        "200": 5,
        "302": 28
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 11077,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:17:29.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 4,
      "requestsCompleted": 30,
      "latency": {
        "min": 601.3,
        "max": 37370.6,
        "median": 991.1,
        "p95": 24376.2,
        "p99": 37370.6
      },
      "rps": {
        "count": 526,
        "mean": 52.65
      },
      "scenarioDuration": {
        "min": 611.5,
        "max": 1135.2,
        "median": 901.9,
        "p95": 1135.2,
        "p99": 1135.2
      },
      "scenarioCounts": {
        "calculatePrice minute": 180,
        "getSpec": 166,
        "calculatePrice fixed_price": 154
      },
      "errors": {
        "ENOTFOUND": 496
      },
      "codes": {
        "200": 4,
        "302": 26
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 11573,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:17:39.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 10,
      "requestsCompleted": 31,
      "latency": {
        "min": 447.5,
        "max": 23787.7,
        "median": 966.6,
        "p95": 1282.3,
        "p99": 23787.7
      },
      "rps": {
        "count": 521,
        "mean": 52.15
      },
      "scenarioDuration": {
        "min": 462.4,
        "max": 25516.7,
        "median": 898.8,
        "p95": 25516.7,
        "p99": 25516.7
      },
      "scenarioCounts": {
        "calculatePrice minute": 177,
        "getSpec": 185,
        "calculatePrice fixed_price": 138
      },
      "errors": {
        "ENOTFOUND": 494
      },
      "codes": {
        "200": 10,
        "302": 21
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3,
      "pendingRequests": 12063,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:17:49.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 18,
      "requestsCompleted": 34,
      "latency": {
        "min": 442.6,
        "max": 29157.3,
        "median": 985.7,
        "p95": 19612.8,
        "p99": 29157.3
      },
      "rps": {
        "count": 516,
        "mean": 51.65
      },
      "scenarioDuration": {
        "min": 454.4,
        "max": 25981.8,
        "median": 799,
        "p95": 16486.7,
        "p99": 25981.8
      },
      "scenarioCounts": {
        "getSpec": 177,
        "calculatePrice fixed_price": 169,
        "calculatePrice minute": 154
      },
      "errors": {
        "ENOTFOUND": 480,
        "ENFILE": 1
      },
      "codes": {
        "200": 18,
        "302": 16
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4,
      "pendingRequests": 12545,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:17:59.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 12,
      "requestsCompleted": 94,
      "latency": {
        "min": 255.9,
        "max": 1535.7,
        "median": 870.3,
        "p95": 1094.3,
        "p99": 1421.4
      },
      "rps": {
        "count": 582,
        "mean": 58.26
      },
      "scenarioDuration": {
        "min": 1164.6,
        "max": 1345.7,
        "median": 1267.3,
        "p95": 1344.8,
        "p99": 1345.7
      },
      "scenarioCounts": {
        "getSpec": 187,
        "calculatePrice fixed_price": 149,
        "calculatePrice minute": 164
      },
      "errors": {
        "ENOTFOUND": 479,
        "ENFILE": 3
      },
      "codes": {
        "200": 12,
        "302": 82
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 10,
      "pendingRequests": 13033,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:18:09.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 18,
      "requestsCompleted": 141,
      "latency": {
        "min": 256.6,
        "max": 35960.3,
        "median": 917.5,
        "p95": 1343.8,
        "p99": 4728.3
      },
      "rps": {
        "count": 623,
        "mean": 62.36
      },
      "scenarioDuration": {
        "min": 1158,
        "max": 1506,
        "median": 1232.1,
        "p95": 1473,
        "p99": 1506
      },
      "scenarioCounts": {
        "getSpec": 174,
        "calculatePrice minute": 165,
        "calculatePrice fixed_price": 161
      },
      "errors": {
        "ENOTFOUND": 466,
        "ENFILE": 3
      },
      "codes": {
        "200": 18,
        "302": 123
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 23,
      "pendingRequests": 13515,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:18:19.713Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 34,
      "requestsCompleted": 163,
      "latency": {
        "min": 258.2,
        "max": 13926.2,
        "median": 932,
        "p95": 1448.2,
        "p99": 7496.8
      },
      "rps": {
        "count": 629,
        "mean": 62.9
      },
      "scenarioDuration": {
        "min": 1162.5,
        "max": 7035.5,
        "median": 1368.8,
        "p95": 1762.5,
        "p99": 7035.5
      },
      "scenarioCounts": {
        "getSpec": 170,
        "calculatePrice minute": 169,
        "calculatePrice fixed_price": 161
      },
      "errors": {
        "ENOTFOUND": 430,
        "ENFILE": 1
      },
      "codes": {
        "200": 34,
        "302": 129
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 58,
      "pendingRequests": 13981,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:18:29.715Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 205,
      "requestsCompleted": 243,
      "latency": {
        "min": 260.7,
        "max": 25680.2,
        "median": 468,
        "p95": 8667.5,
        "p99": 9959.9
      },
      "rps": {
        "count": 538,
        "mean": 53.85
      },
      "scenarioDuration": {
        "min": 428.3,
        "max": 26837.4,
        "median": 476.4,
        "p95": 8870.4,
        "p99": 13732.6
      },
      "scenarioCounts": {
        "calculatePrice minute": 173,
        "calculatePrice fixed_price": 155,
        "getSpec": 172
      },
      "errors": {
        "ENOTFOUND": 319,
        "ENFILE": 5
      },
      "codes": {
        "200": 205,
        "302": 38
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 29,
      "pendingRequests": 14276,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:18:39.714Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 89,
      "requestsCompleted": 323,
      "latency": {
        "min": 257.2,
        "max": 50757.1,
        "median": 844.5,
        "p95": 1338.1,
        "p99": 11993.3
      },
      "rps": {
        "count": 731,
        "mean": 73.1
      },
      "scenarioDuration": {
        "min": 1126.3,
        "max": 12904.5,
        "median": 1258.3,
        "p95": 2271.9,
        "p99": 11083.2
      },
      "scenarioCounts": {
        "getSpec": 143,
        "calculatePrice fixed_price": 164,
        "calculatePrice minute": 193
      },
      "errors": {
        "ENOTFOUND": 395,
        "ENFILE": 11
      },
      "codes": {
        "200": 91,
        "302": 231,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 34,
      "pendingRequests": 14684,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:18:49.715Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 69,
      "requestsCompleted": 303,
      "latency": {
        "min": 249.5,
        "max": 29284.3,
        "median": 860.4,
        "p95": 1281.2,
        "p99": 9267.8
      },
      "rps": {
        "count": 735,
        "mean": 73.57
      },
      "scenarioDuration": {
        "min": 1128.9,
        "max": 56446.4,
        "median": 1231.7,
        "p95": 2054.8,
        "p99": 50725.4
      },
      "scenarioCounts": {
        "getSpec": 158,
        "calculatePrice fixed_price": 166,
        "calculatePrice minute": 176
      },
      "errors": {
        "ENOTFOUND": 415,
        "ENFILE": 10
      },
      "codes": {
        "200": 68,
        "302": 235
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 40,
      "pendingRequests": 15116,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:18:59.715Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 94,
      "requestsCompleted": 343,
      "latency": {
        "min": 247.9,
        "max": 29036.3,
        "median": 854.2,
        "p95": 1401.8,
        "p99": 14189.6
      },
      "rps": {
        "count": 745,
        "mean": 74.57
      },
      "scenarioDuration": {
        "min": 1115.2,
        "max": 19300.3,
        "median": 1249,
        "p95": 11144.5,
        "p99": 17215.1
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 161,
        "getSpec": 168,
        "calculatePrice minute": 171
      },
      "errors": {
        "ENOTFOUND": 393,
        "ENFILE": 9
      },
      "codes": {
        "200": 98,
        "302": 245
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 44,
      "pendingRequests": 15518,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:19:09.716Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 139,
      "requestsCompleted": 412,
      "latency": {
        "min": 251.9,
        "max": 22870.5,
        "median": 839.5,
        "p95": 1158.4,
        "p99": 11257.5
      },
      "rps": {
        "count": 777,
        "mean": 77.78
      },
      "scenarioDuration": {
        "min": 1116.4,
        "max": 34375.7,
        "median": 1227.2,
        "p95": 1856.1,
        "p99": 24972.4
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 158,
        "calculatePrice minute": 172,
        "getSpec": 170
      },
      "errors": {
        "ENOTFOUND": 351,
        "ENFILE": 7
      },
      "codes": {
        "200": 135,
        "302": 277
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 47,
      "pendingRequests": 15883,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:19:19.716Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 185,
      "requestsCompleted": 511,
      "latency": {
        "min": 249.2,
        "max": 20933.7,
        "median": 820.5,
        "p95": 1088.6,
        "p99": 9846.7
      },
      "rps": {
        "count": 824,
        "mean": 82.4
      },
      "scenarioDuration": {
        "min": 1097.2,
        "max": 31649,
        "median": 1220,
        "p95": 1573.3,
        "p99": 9856.3
      },
      "scenarioCounts": {
        "getSpec": 159,
        "calculatePrice fixed_price": 154,
        "calculatePrice minute": 187
      },
      "errors": {
        "ENOTFOUND": 299,
        "ENFILE": 12
      },
      "codes": {
        "200": 187,
        "302": 324
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 51,
      "pendingRequests": 16196,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:19:29.716Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 205,
      "requestsCompleted": 537,
      "latency": {
        "min": 244.9,
        "max": 39512.7,
        "median": 826.8,
        "p95": 1185.1,
        "p99": 6197.6
      },
      "rps": {
        "count": 835,
        "mean": 83.58
      },
      "scenarioDuration": {
        "min": 1098.2,
        "max": 39842.2,
        "median": 1251.5,
        "p95": 1695.7,
        "p99": 30263.4
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 160,
        "getSpec": 172,
        "calculatePrice minute": 168
      },
      "errors": {
        "ENOTFOUND": 275,
        "ENFILE": 14
      },
      "codes": {
        "200": 202,
        "302": 335
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 57,
      "pendingRequests": 16494,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:19:39.717Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 167,
      "requestsCompleted": 504,
      "latency": {
        "min": 252.4,
        "max": 21805,
        "median": 838.3,
        "p95": 1131.1,
        "p99": 11892.4
      },
      "rps": {
        "count": 836,
        "mean": 83.6
      },
      "scenarioDuration": {
        "min": 1116.5,
        "max": 18435.4,
        "median": 1245.3,
        "p95": 1683,
        "p99": 13884.5
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 153,
        "getSpec": 188,
        "calculatePrice minute": 159
      },
      "errors": {
        "ENOTFOUND": 309,
        "ENFILE": 24
      },
      "codes": {
        "200": 168,
        "302": 336
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 57,
      "pendingRequests": 16826,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:19:49.727Z",
      "scenariosCreated": 499,
      "scenariosCompleted": 208,
      "requestsCompleted": 555,
      "latency": {
        "min": 245.4,
        "max": 32546.6,
        "median": 821.7,
        "p95": 1038.6,
        "p99": 4690.5
      },
      "rps": {
        "count": 844,
        "mean": 84.32
      },
      "scenarioDuration": {
        "min": 1114.2,
        "max": 33032.6,
        "median": 1215.5,
        "p95": 1642.9,
        "p99": 28680.6
      },
      "scenarioCounts": {
        "getSpec": 161,
        "calculatePrice fixed_price": 172,
        "calculatePrice minute": 166
      },
      "errors": {
        "ENOTFOUND": 274,
        "ENFILE": 14
      },
      "codes": {
        "200": 208,
        "302": 347
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 60,
      "pendingRequests": 17115,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:19:59.726Z",
      "scenariosCreated": 502,
      "scenariosCompleted": 250,
      "requestsCompleted": 619,
      "latency": {
        "min": 246.3,
        "max": 27313.1,
        "median": 812,
        "p95": 1170.3,
        "p99": 18821.9
      },
      "rps": {
        "count": 870,
        "mean": 87
      },
      "scenarioDuration": {
        "min": 1086.8,
        "max": 27642.2,
        "median": 1207.7,
        "p95": 3081.2,
        "p99": 24822.4
      },
      "scenarioCounts": {
        "getSpec": 176,
        "calculatePrice fixed_price": 161,
        "calculatePrice minute": 165
      },
      "errors": {
        "ENOTFOUND": 248,
        "ENFILE": 7
      },
      "codes": {
        "200": 252,
        "302": 367
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 57,
      "pendingRequests": 17366,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:20:09.725Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 271,
      "requestsCompleted": 642,
      "latency": {
        "min": 239.4,
        "max": 30380.8,
        "median": 813.6,
        "p95": 1018.4,
        "p99": 11568.4
      },
      "rps": {
        "count": 871,
        "mean": 87.1
      },
      "scenarioDuration": {
        "min": 1100.1,
        "max": 30723.9,
        "median": 1214.7,
        "p95": 1608.4,
        "p99": 21014.3
      },
      "scenarioCounts": {
        "getSpec": 180,
        "calculatePrice minute": 153,
        "calculatePrice fixed_price": 167
      },
      "errors": {
        "ENOTFOUND": 213,
        "ENFILE": 5
      },
      "codes": {
        "200": 271,
        "302": 371
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 68,
      "pendingRequests": 17595,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:20:19.725Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 276,
      "requestsCompleted": 614,
      "latency": {
        "min": 245.8,
        "max": 23201.5,
        "median": 862.9,
        "p95": 1249.6,
        "p99": 6775.6
      },
      "rps": {
        "count": 837,
        "mean": 83.7
      },
      "scenarioDuration": {
        "min": 437.8,
        "max": 34734.3,
        "median": 1294.8,
        "p95": 1932.8,
        "p99": 13520.4
      },
      "scenarioCounts": {
        "calculatePrice minute": 170,
        "getSpec": 180,
        "calculatePrice fixed_price": 150
      },
      "errors": {
        "ENOTFOUND": 231,
        "ENFILE": 11
      },
      "codes": {
        "200": 277,
        "302": 337
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 50,
      "pendingRequests": 17818,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:20:29.724Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 85,
      "requestsCompleted": 183,
      "latency": {
        "min": 257.3,
        "max": 41587.9,
        "median": 848.6,
        "p95": 1160.8,
        "p99": 18010.4
      },
      "rps": {
        "count": 601,
        "mean": 60.1
      },
      "scenarioDuration": {
        "min": 426.2,
        "max": 32485.7,
        "median": 1243.5,
        "p95": 1549.2,
        "p99": 22114.5
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 161,
        "calculatePrice minute": 163,
        "getSpec": 176
      },
      "errors": {
        "ENOTFOUND": 455,
        "ENFILE": 2
      },
      "codes": {
        "200": 82,
        "302": 101
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 8,
      "pendingRequests": 18236,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:20:39.723Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 2,
      "requestsCompleted": 6,
      "latency": {
        "min": 821.6,
        "max": 1158.3,
        "median": 852.1,
        "p95": 1158.3,
        "p99": 1158.3
      },
      "rps": {
        "count": 506,
        "mean": 50.6
      },
      "scenarioDuration": {
        "min": 24613.1,
        "max": 30089.6,
        "median": 27351.3,
        "p95": 30089.6,
        "p99": 30089.6
      },
      "scenarioCounts": {
        "calculatePrice minute": 174,
        "getSpec": 161,
        "calculatePrice fixed_price": 165
      },
      "errors": {
        "ENOTFOUND": 498
      },
      "codes": {
        "302": 6
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 8,
      "pendingRequests": 18736,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:20:49.724Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 21,
      "requestsCompleted": 32,
      "latency": {
        "min": 433.8,
        "max": 31769.5,
        "median": 798.3,
        "p95": 29493.2,
        "p99": 31769.5
      },
      "rps": {
        "count": 511,
        "mean": 51.1
      },
      "scenarioDuration": {
        "min": 453.8,
        "max": 28023,
        "median": 625.7,
        "p95": 27200,
        "p99": 28023
      },
      "scenarioCounts": {
        "calculatePrice minute": 166,
        "calculatePrice fixed_price": 167,
        "getSpec": 167
      },
      "errors": {
        "ENOTFOUND": 484
      },
      "codes": {
        "200": 21,
        "302": 11
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3,
      "pendingRequests": 19215,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:20:59.724Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 21,
      "requestsCompleted": 24,
      "latency": {
        "min": 425.8,
        "max": 1815.7,
        "median": 492.6,
        "p95": 1468.7,
        "p99": 1815.7
      },
      "rps": {
        "count": 503,
        "mean": 50.3
      },
      "scenarioDuration": {
        "min": 440.3,
        "max": 1338.6,
        "median": 479.3,
        "p95": 1259.5,
        "p99": 1338.6
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 163,
        "getSpec": 141,
        "calculatePrice minute": 196
      },
      "errors": {
        "ENOTFOUND": 475
      },
      "codes": {
        "200": 21,
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 7,
      "pendingRequests": 19694,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:21:09.730Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 26,
      "requestsCompleted": 29,
      "latency": {
        "min": 426.7,
        "max": 21568.5,
        "median": 481.9,
        "p95": 2141.8,
        "p99": 21568.5
      },
      "rps": {
        "count": 501,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": 441.8,
        "max": 1139.1,
        "median": 496.4,
        "p95": 1084.5,
        "p99": 1139.1
      },
      "scenarioCounts": {
        "getSpec": 156,
        "calculatePrice fixed_price": 181,
        "calculatePrice minute": 163
      },
      "errors": {
        "ENOTFOUND": 469
      },
      "codes": {
        "200": 28,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 12,
      "pendingRequests": 20166,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:21:19.728Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 32,
      "requestsCompleted": 35,
      "latency": {
        "min": 417.4,
        "max": 28056.4,
        "median": 554.4,
        "p95": 4019.6,
        "p99": 28056.4
      },
      "rps": {
        "count": 505,
        "mean": 50.5
      },
      "scenarioDuration": {
        "min": 434.6,
        "max": 23007.1,
        "median": 500.3,
        "p95": 7737.8,
        "p99": 23007.1
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 170,
        "getSpec": 171,
        "calculatePrice minute": 159
      },
      "errors": {
        "ENOTFOUND": 476
      },
      "codes": {
        "200": 31,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4,
      "pendingRequests": 20636,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:21:29.729Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 21,
      "requestsCompleted": 24,
      "latency": {
        "min": 434.2,
        "max": 26853.6,
        "median": 614.8,
        "p95": 9352.9,
        "p99": 26853.6
      },
      "rps": {
        "count": 504,
        "mean": 50.5
      },
      "scenarioDuration": {
        "min": 448.3,
        "max": 41154.6,
        "median": 627.4,
        "p95": 33366.2,
        "p99": 41154.6
      },
      "scenarioCounts": {
        "calculatePrice fixed_price": 164,
        "getSpec": 179,
        "calculatePrice minute": 157
      },
      "errors": {
        "ENOTFOUND": 453,
        "ENFILE": 20
      },
      "codes": {
        "200": 20,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 10,
      "pendingRequests": 21116,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:21:39.729Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 26,
      "requestsCompleted": 38,
      "latency": {
        "min": 414.9,
        "max": 28478.7,
        "median": 831.9,
        "p95": 1369.5,
        "p99": 28478.7
      },
      "rps": {
        "count": 512,
        "mean": 51.25
      },
      "scenarioDuration": {
        "min": 429.1,
        "max": 30867.2,
        "median": 585.6,
        "p95": 7372,
        "p99": 30867.2
      },
      "scenarioCounts": {
        "getSpec": 186,
        "calculatePrice fixed_price": 169,
        "calculatePrice minute": 145
      },
      "errors": {
        "ENOTFOUND": 481
      },
      "codes": {
        "200": 26,
        "302": 12
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3,
      "pendingRequests": 21590,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:21:49.728Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 28,
      "latency": {
        "min": 731.4,
        "max": 24426.3,
        "median": 845.2,
        "p95": 3423.5,
        "p99": 24426.3
      },
      "rps": {
        "count": 527,
        "mean": 52.81
      },
      "scenarioDuration": {
        "min": 743.1,
        "max": 743.1,
        "median": 743.1,
        "p95": 743.1,
        "p99": 743.1
      },
      "scenarioCounts": {
        "calculatePrice minute": 172,
        "getSpec": 165,
        "calculatePrice fixed_price": 163
      },
      "errors": {
        "ENOTFOUND": 496
      },
      "codes": {
        "200": 1,
        "302": 27
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6,
      "pendingRequests": 22089,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:21:59.735Z",
      "scenariosCreated": 27,
      "scenariosCompleted": 3,
      "requestsCompleted": 7,
      "latency": {
        "min": 268.7,
        "max": 2689.8,
        "median": 1202.9,
        "p95": 2689.8,
        "p99": 2689.8
      },
      "rps": {
        "count": 31,
        "mean": 3.1
      },
      "scenarioDuration": {
        "min": 2531.5,
        "max": 3024.9,
        "median": 2624,
        "p95": 3024.9,
        "p99": 3024.9
      },
      "scenarioCounts": {
        "calculatePrice minute": 11,
        "getSpec": 10,
        "calculatePrice fixed_price": 6
      },
      "errors": {
        "ENOTFOUND": 28
      },
      "codes": {
        "200": 3,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2,
      "pendingRequests": 22113,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:22:09.737Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 1,
      "requestsCompleted": 2,
      "latency": {
        "min": 272.9,
        "max": 24529.3,
        "median": 12401.1,
        "p95": 24529.3,
        "p99": 24529.3
      },
      "rps": {
        "count": 1,
        "mean": 0.26
      },
      "scenarioDuration": {
        "min": 24867.7,
        "max": 24867.7,
        "median": 24867.7,
        "p95": 24867.7,
        "p99": 24867.7
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 1,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 22112,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:22:19.741Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 22112,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T19:22:20.533Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ENOTFOUND": 1
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 22112,
      "scenariosAvoided": 0
    }
  ]
};
  </script>

  <style>
      h1 {
        line-height: 200%;
      }

      body {
          background-color: #fcfcfc;
      }

      .container {
          width: 100%;
          min-width: 960px;
      }
  </style>


</head>
<body>

<div class="container">

<div class="row" id="header">
  <div class="col-lg-4 col-lg-offset-4">
    <pre style="font-size: 5pt; background-color: #fcfcfc; border: none;">
            _   _ _ _                                                _
  __ _ _ __| |_(_) | | ___ _ __ _   _      _ __ ___ _ __   ___  _ __| |_
 / _` | '__| __| | | |/ _ \ '__| | | |    | '__/ _ \ '_ \ / _ \| '__| __|
| (_| | |  | |_| | | |  __/ |  | |_| |    | | |  __/ |_) | (_) | |  | |_
 \__,_|_|   \__|_|_|_|\___|_|   \__, |    |_|  \___| .__/ \___/|_|   \__|
                                |___/              |_|

    </pre>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <h1 class="text-center" id="page-title">Test run on <span id="timestamp">date</span></h1>
  </div>
</div>

<div class="row">
  <div class="col-lg-3">
    <p><strong>Summary</strong></p>
    <table class="table table-bordered table-hover table-condensed">
      <tbody>
        <tr>
          <td>Test duration</td>
          <td><span id="testDuration">0</span> sec</td>
        </tr>
        <tr>
          <td>Scenarios created</td>
          <td><span id="scenariosCreated">0</span></td>
        </tr>

        <tr>
          <td>Scenarios completed</td>
          <td><span id="scenariosCompleted">0</span></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-lg-5" id="scenarioCountsContainer">
    <div>
      <strong>Scenario counts:</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="scenarioCounts">
      </table>
    </div>
  </div>

  <div class="col-lg-1">
    <div id="codesContainer">
      <strong>Codes</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="codes">
      </table>
    </div>
  </div>

  <div class="col-lg-3">
    <div id="errorsContainer">
      <strong>Errors</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="errors">
      </table>
    </div>
  </div>
</div> <!-- /.row -->

<div class="row">
  <div class="text-center col-lg-12">
    <h2>Charts</h2>
  </div>
</div>

<div class="row">
  <div class="latency-histogram text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="latency text-center col-lg-12"></div>
</div>

<div class="latency-legend"></div>

<div class="row">

</div>

<div class="row">
  <div class="concurrency text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="rps-mean text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="rps-count text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="codes-line text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="errors-line text-center col-lg-12"></div>
</div>


  


</div>

<div class="row">
  <div class="col-lg-8 col-lg-offset-2">
    <h3 class="text-center">Raw report data</h3>
    <p>This is the raw JSON stats output that the report was generated from.</p>
    <div id="editor">
    </div>
  </div>
</div>

<script>
var editor = ace.edit("editor");
editor.getSession().setMode("ace/mode/javascript");
editor.setValue(JSON.stringify(Report, null, 2));
editor.gotoLine(1);editor.setHighlightActiveLine(false);

var l = _;

$('#timestamp').html(moment(Report.aggregate.timestamp).format('DD MMM YYYY HH:mm:SS'));
$('#testDuration').html(l.size(Report.intermediate) * 10);
$('#scenariosCompleted').html(Report.aggregate.scenariosCompleted);
$('#scenariosCreated').html(Report.aggregate.scenariosCreated);

var markers = [];
if(l.size(Report.phases) > 0) {
  markers = l.foldl(Report.phases, function(acc, phase, index) {
    var label = phase.name || 'Phase ' + (index + 1);
    var timestamp = (index === 0) ? 0 : Report.phases[index - 1].duration + acc[index - 1].timestamp;

    acc.push({
      timestamp: timestamp,
      label: label
    });

    return acc;
  }, []);
}

if (l.size(Report.aggregate.scenarioCounts) > 0) {
  l.each(Report.aggregate.scenarioCounts, function(count, name) {
    var $tdName = $('<td>' + name + '</td>');
    var percentage = Math.round(count / Report.aggregate.scenariosCreated * 100 * 1000) / 1000;
    var $tdCount = $('<td>' + count + ' (' + percentage + '%)' + '</td>');
    var $el = $('<tr></tr>')
      .append($tdName)
      .append($tdCount)
      .appendTo($('#scenarioCounts'));
  });
} else {
  $('#scenarioCountsContainer').hide();
}

if (l.size(Report.aggregate.codes) > 0) {
  l.each(Report.aggregate.codes, function(count, code) {
    var anchor = '';
    if (code >= 100 && code < 200) {
      anchor = '#1xx_Informational';
    } else if (code >= 200 && code < 300) {
      anchor = '#2xx_Success';
    } else if (code >= 300 && code < 400) {
      anchor = '#3xx_Redirection';
    } else if (code >= 400 && code < 500) {
      anchor = '#4xx_Client_Error';
    } else if (code >= 500 && code < 600) {
      anchor = '#5xx_Server_Error';
    }

    var $a = $('<a>' + code + '</a>').attr('href', 'https://en.wikipedia.org/wiki/List_of_HTTP_status_codes' + anchor);
    var $td = $('<td></td>').append($a);
    var $el = $('<tr></tr>')
      .append($td)
      .append($('<td>' + count + '</td>'))
      .appendTo($('#codes'));
  });
} else {
  $('#codesContainer').hide();
}

if (l.size(Report.aggregate.errors) > 0) {
  l.each(Report.aggregate.errors, function(count, code) {
    var $el = $('<tr></tr>')
      .append($('<td>' + code + '</td>'))
      .append($('<td>' + count + '</td>'))
      .appendTo($('#errors'));
  });
} else {
  $('#errorsContainer > p').html('&#10004; Test completed without network or OS errors.');
}

var histogramData = l.map(Report.aggregate.latency, function(v, k) { return {bin: k, value: v} });

MG.data_graphic({
  chart_type: 'bar',
  x_label: 'Percentile',
  y_label: '(ms)',
  animate_on_load: true,
  title: 'Overall Latency Distribution',
  description: 'Distribution of all observed response latencies',
  target: '.latency-histogram',
  data: histogramData,
  x_accessor: 'bin',
  y_accessor: 'value',
  binned: true,
  height: 250,
  interpolate: 'monotone',
  padding_percentage: 0,
  bar_orientation: 'vertical',
  width: 450
});

var chartData = l.map(
  window.Report.intermediate,
  function(o,i) {
    return {
      timestamp: i*10+10,

      rpsMean: o.rps.mean,
      rpsCount: o.rps.count,
      concurrency: o.concurrency,
      latencyMax: o.latency.max,
      latencyp99: o.latency.p99,
      latencyp95: o.latency.p95,
      latencyMedian: o.latency.median,
      latencyMin: o.latency.min
    }
  });

//
// Response codes
//

if (l.size(Report.aggregate.codes) > 0) {
  var codesData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.codes, function(count, code) {
      res[code] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueCodes = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.codes, function(count, code) {
      if (l.indexOf(acc, code) === -1) {
        acc.push(code);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    x_label: 'Time',
    y_label: 'Count',
    title: 'HTTP codes',
    description: 'Occurence of HTTP response codes',
    target: '.codes-line',
    data: codesData,
    x_accessor: 'timestamp',
    y_accessor: uniqueCodes,
    legend: uniqueCodes,
    right: 50,
    chart_type: 'line',
    area: false,
    markers: markers,
    width: 900
  });
}

//
// Errors
//

if (l.size(Report.aggregate.errors) > 0) {
  var errorData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.errors, function(count, name) {
      res[name] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueErrors = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.errors, function(count, name) {
      if (l.indexOf(acc, name) === -1) {
        acc.push(name);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    title: 'Error Codes',
    description: 'Occurence of error codes',
    target: '.errors-line',
    data: errorData,
    x_accessor: 'timestamp',
    y_accessor: uniqueErrors,
    chart_type: 'line',
    area: false,
    markers: markers
  });

}

//
// Latency
//
MG.data_graphic({
  chart_type: 'line',
  x_label: 'Time',
  y_label: '(ms)',
  animate_on_load: true,
  area: false,
  title: "Latency At Intervals",
  description: "Latency values at different points during the test run",
  data: chartData,
  target: '.latency',
  width: 900,
  x_accessor: 'timestamp',
  y_accessor: ['latencyMin', 'latencyMedian', 'latencyp95', 'latencyMax'],
  legend: ['min', 'p50', 'p95', 'max'],
  //legend_target: '.latency-legend',
  right: 50,
  interpolate: 'monotone',
  mouseover: function(d, i) {
  },
  markers: markers
        });

            MG.data_graphic({
            animate_on_load: true,
            area: false,
            y_label: 'Count',
            x_label: 'Time',
            title: 'Concurrent users',
            description: 'Concurrent users',
            data: chartData,
            target: '.concurrency',
            x_accessor: 'timestamp',
            y_accessor: ['concurrency'],
            interpolate: 'monotone',
            markers: markers,
            width: 900
            });

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'Mean RPS',
  description: 'Mean requests per second',
  data: chartData,
  target: '.rps-mean',
  x_accessor: 'timestamp',
  y_accessor: ['rpsMean'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'RPS Count',
  description: 'Count of requests per second',
  data: chartData,
  target: '.rps-count',
  x_accessor: 'timestamp',
  y_accessor: ['rpsCount'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});
</script>
<div id="footer">
  <footer>This report was created with <a href="https://artillery.io">Artillery</a> - free open-source load-testing for HTTP and WebSockets</footer>
</div>
</body>
</html>
